## viking 1.0.0

=== DESCRIPTION ===
Package: viking
Title: State-Space Models Inference by Kalman or Viking
Version: 1.0.0
Authors@R: 
    person(given = "Joseph",
           family = "de Vilmarest",
           role = c("aut", "cre"),
           email = "joseph.de-vilmarest@vikingconseil.fr",
           comment = c(ORCID = "0000-0002-0634-8484"))
Maintainer: Joseph de Vilmarest <joseph.de-vilmarest@vikingconseil.fr>
Description: Inference methods for state-space models, relying on the Kalman Filter or on Viking (Variational Bayesian VarIance tracKING). See J. de Vilmarest (2022) <https://tel.archives-ouvertes.fr/tel-03716104/>.
License: LGPL-3
Suggests: RColorBrewer, mvtnorm
Encoding: UTF-8
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-10-07 09:09:20 UTC; josephdevilmarest
Author: Joseph de Vilmarest [aut, cre]
    (<https://orcid.org/0000-0002-0634-8484>)
Repository: CRAN
Date/Publication: 2022-10-07 15:00:02 UTC

## viking 1.0.1

=== DESCRIPTION ===
Package: viking
Title: State-Space Models Inference by Kalman or Viking
Version: 1.0.1
Authors@R: 
    person(given = "Joseph",
           family = "de Vilmarest",
           role = c("aut", "cre"),
           email = "joseph.de-vilmarest@vikingconseil.fr",
           comment = c(ORCID = "0000-0002-0634-8484"))
Maintainer: Joseph de Vilmarest <joseph.de-vilmarest@vikingconseil.fr>
Description: Inference methods for state-space models, relying on the Kalman Filter or on Viking (Variational Bayesian VarIance tracKING). See J. de Vilmarest (2022) <https://theses.hal.science/tel-03716104/>.
License: LGPL-3
Suggests: RColorBrewer, mvtnorm
Encoding: UTF-8
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2023-05-12 14:09:44 UTC; josephdevilmarest
Author: Joseph de Vilmarest [aut, cre]
    (<https://orcid.org/0000-0002-0634-8484>)
Repository: CRAN
Date/Publication: 2023-05-12 14:30:02 UTC

## viking 1.0.2

=== DESCRIPTION ===
Package: viking
Title: State-Space Models Inference by Kalman or Viking
Version: 1.0.2
Author: Joseph de Vilmarest [aut, cre]
    (<https://orcid.org/0000-0002-0634-8484>)
Maintainer: Joseph de Vilmarest <joseph.de-vilmarest@vikingconseil.fr>
Description: Inference methods for state-space models, relying on the Kalman Filter or on Viking (Variational Bayesian VarIance tracKING). See J. de Vilmarest (2022) <https://theses.hal.science/tel-03716104/>.
License: LGPL-3
Suggests: RColorBrewer, mvtnorm
Encoding: UTF-8
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2023-10-06 12:11:45 UTC; josephdevilmarest
Repository: CRAN
Date/Publication: 2023-10-06 12:50:02 UTC

## viking 1.4.2

=== debian/changelog ===
viking (1.4.2-2) unstable; urgency=low

  [ Hideki Yamane ]
  * debian/rules
    - add autoreconf to dh to fix FTBFS (Closes: #725529)
    - not dh --with quilt but use source format 3.0
  * debian/control
    - add "Build-Depends: dh-autoreconf"
  * set debian/source/format as "3.0 (quilt)"
  * debian/patches
    - add set_subdir-objects.patch
    - add no_doc-dir.patch

  [ Bernd Zeimetz ]
  * Applying patch from Hideki Yamane. Thanks a lot!

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 23 Nov 2013 14:20:32 +0100

viking (1.4.2-1) unstable; urgency=low

  * [953c9042] Imported Upstream version 1.4.2 (Closes: #690981)
  * [4a6b0d90] Refreshing patches.
  * [7d8b6307] Depend on gpsbabel.
    Thanks to Celelibi (Closes: #684061)
  * [a078d2bb] Recommend expect-dev for unbuffer.
    Thanks to Uwe Storbeck (Closes: #685085)
    [e62f66ae] Depend on newer automake versions.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 29 Aug 2013 22:25:07 +0200

viking (1.3-1) unstable; urgency=low

  * [a3f95c12] Imported Upstream version 1.3
  * [ab0442aa] Drop GPSD-API-v5 patch, applied upstream.
  * [6890fcb6] Add libexif-dev as build dependency.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 24 Apr 2012 21:44:56 +0200

viking (1.2.2-1) unstable; urgency=low

  * [cd56f671] Imported Upstream version 1.2.2 (Closes: #655084)
  * [3e2c3732] Removing curl-ftbfs-fix.patch, applied upstream.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 08 Jan 2012 14:57:31 +0100

viking (1.2.1-3) unstable; urgency=low

  * [adbf9d87] Make viking build with libgps20 / APIv5.
    Thanks to Robert Norris (Closes: #648494)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 13 Nov 2011 14:58:00 +0100

viking (1.2.1-2) unstable; urgency=low

  * [81581646] Don't include curl/types.h as its deprecated and removed.
    Thanks to Lucas Nussbaum (Closes: #639062)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 08 Oct 2011 11:24:21 +0200

viking (1.2.1-1) unstable; urgency=low

  * [e81daa57] Imported Upstream version 1.2.1
  * [1afd3ad4] Don't run dh_autoreconf.
    Seems to fail due to missing files in the tarball.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 10 Jul 2011 10:50:29 +0200

viking (1.1-1) unstable; urgency=low

  * [271c7221] Imported Upstream version 1.1
  * [7aed446e] Refreshing patches. Dropping those which were applied
    upstream.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 09 Feb 2011 21:52:13 +0100

viking (0.9.94-3) unstable; urgency=low

  * [f5016ac4] Fix spelling error in the long description. (Closes:
    #601438) - thanks to Ralf Treinen
  * [2adbd71c] Add patch to include a missing -lz in src/Makefile.am
  * [e69887c6] Use dh_autoreconf as src/Makefile.am was patched.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 03 Nov 2010 21:17:23 +0100

viking (0.9.94-2) unstable; urgency=low

  * [6c407676] Add patch to fix segfault when using gpsbabel. (Closes:
    #599048) - thanks to Rob Norris and Alexander Fell.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 16 Oct 2010 18:59:08 +0200

viking (0.9.94-1) unstable; urgency=low

  * [96e56c75] Imported Upstream version 0.9.94
  * [477b715c] Add new build-dependency: gnome-doc-utils >= 0.3.2
  * [597b155a] Add rarian-compat | scrollkeeper as build dependency.
  * [a0aa7553] Tidy up debian/rules using dh features only.
  * [1f144180] Ignore errors in the test suite for now.
  * [5069b36f] Order with options for dh properly, remove where not
    necessary.
  * [02e43ae0] No need to clean config.sub and config.guess anymore.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Jul 2010 13:09:14 +0200

viking (0.9.93-1) unstable; urgency=low

  * [f12bb468] Remove Google from the long descriptio.
  * [4922d64e] Imported Upstream version 0.9.93
  * [86139278] Add debian/source/format.
  * [d03d0138] Add debian/README.source file.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 21 Apr 2010 11:21:48 +0200

viking (0.9.92-1) unstable; urgency=low

  * [5d0ca3d7] Imported Upstream version 0.9.92
  * [8b4c8c78] Include example files in the packaging. (Closes: #575034)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 22 Mar 2010 23:44:56 +0100

viking (0.9.91-1) unstable; urgency=low

  * [41442055] Imported Upstream version 0.9.91
  * [55d95585] Dropping libgps-2.90-fix patch, applied upstream.
  * [95bdb707] Bumping Standards-Version to 3.8.4. No changes needed.
  * [73f2c3b1] Drop bashism-fix patch, applied upstream.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 11 Feb 2010 12:07:19 +0100

viking (0.9.9-3) unstable; urgency=low

  * [90eee421] Remove the sf.net list, set myself as Maintainer.
  * [420be49e] Remove Ralf Meyer from Uploaders.
  * [5af131f5] Make Viking compatible with libgps >= 2.90 (Closes:
    #560243) - thanks to Cyril Brulebois
  * [565d3820] Require libgps-dev 2.90.
  * [e29fabb9] Add bc to build-deps - used by
    check_degrees_conversions.sh.
  * [56d18b6a] Disable make check for the po folder. intltool-update
    gets confused by quilt's pc folder and the .c files in there.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 10 Dec 2009 01:43:35 +0100

viking (0.9.9-2) unstable; urgency=low

  * [f254a656] Fix bashism in test script. (Closes: #548449) - thanks to
    Kurt Roeckx

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 28 Sep 2009 21:53:44 +0200

viking (0.9.9-1) unstable; urgency=low

  * [0948eaa9] Imported Upstream version 0.9.9
    - Supports OSM API 0.6 (Closes: 526995)
  * [edeebbdc] Add default gbp options.
  * [1c90c035] Updating Vcs information.
  * [12a68a60] Dropping patches, applied upstream.
  * [09a546aa] Migrate to debhelper 7

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 13 Sep 2009 19:14:45 +0200

viking (0.9.8-2) unstable; urgency=low

  * Work around missing gpsd_units() from the gpsd header
    files by including gpsdclient.h from gpsd (Closes: #524084).
  * Bumping Standards-Version to 3.8.1, no changes needed. 
  * Fixing an implcit declaration in src/util.c.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 17 Apr 2009 22:47:27 +0200

viking (0.9.8-1) unstable; urgency=low

  [ Guilhem Bonnefille ]


=== debian/control ===
Source: viking
Section: utils
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Uploaders: Guilhem BONNEFILLE <guilhem.bonnefille@gmail.com>
Build-Depends: debhelper (>= 7.2.14), automake (>= 1.13), autoconf, autotools-dev (>= 20100122.1~), libcurl4-gnutls-dev, libexpat1-dev, libgtk2.0-dev, libglib2.0-dev (>= 2.12.0), libgps-dev (>= 2.90), xsltproc, docbook-xsl, docbook-xml, intltool, quilt (>= 0.46-8), bc, gnome-doc-utils (>= 0.3.2), rarian-compat | scrollkeeper, libexif-dev, dh-autoreconf
Standards-Version: 3.8.4
Homepage: http://viking.sf.net
Vcs-Git: git://git.debian.org/collab-maint/viking.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/viking.git

Package: viking
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gpsbabel
Suggests: gpsd
Recommends: expect-dev
Description: GPS data editor, analyzer and viewer
 Viking aims to be easy to use, yet powerful in accomplishing a wide
 variety of GPS related tasks. It uses a hierarchical layering system
 to organize GPS data, maps, and other layer types with spatial data,
 such as coordinate lines.
 .
 Some of the things you can use Viking for are:
 .
  * Uploading and downloading waypoints, tracks to/from GPS.
  * Realtime GPS tracking and track recording.
  * Import and export of gpx files.
  * Preparing tracks and waypoints for trips using maps from services
    such as OpenStreetmap and Terraserver. You only need to upload the data
    to your GPS before you leave. The maps together with your tracks
    and waypoints can also be printed and used during the trip.
  * After trips, tracks and waypoints from GPS can be downloaded,
    stored, managed and reused in later trips.
  * Analyzing OHV and hiking trips, understanding where you went and
    how far you were from something.
  * Making waypoints and tracks to follow to easily get someplace
    you've never been before or don't have GPS data for but Terraserver
    maps exist for it.
  * Making maps with coordinate lines.
  * Analyzing speed at different places, adding waypoints where you forgot
    to mark one but did slow down or stop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools_dev,autoreconf

override_dh_auto_test:
	# The test suite is buggy.
	-dh_auto_test

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3

opts="uversionmangle=s/-/+/" \
http://sf.net/viking/viking-([0-9].*)\.tar\.gz

## viking 1.5.1

=== debian/changelog ===
viking (1.5.1-1) unstable; urgency=medium

  * [53625f28] Fixing watch file to handle .bz2 files.
  * [c7c0831f] Imported Upstream version 1.5.1 (Closes: #748731)
  * [c2888d34] refreshing patches.
  * [28b313f6] Add missig build-dependencies.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 20 May 2014 21:01:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,28 @@
 Priority: optional
 Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Guilhem BONNEFILLE <guilhem.bonnefille@gmail.com>
-Build-Depends: debhelper (>= 7.2.14), automake (>= 1.13), autoconf, autotools-dev (>= 20100122.1~), libcurl4-gnutls-dev, libexpat1-dev, libgtk2.0-dev, libglib2.0-dev (>= 2.12.0), libgps-dev (>= 2.90), xsltproc, docbook-xsl, docbook-xml, intltool, quilt (>= 0.46-8), bc, gnome-doc-utils (>= 0.3.2), rarian-compat | scrollkeeper, libexif-dev, dh-autoreconf
+Build-Depends: debhelper (>= 7.2.14),
+ automake (>= 1.13),
+ autoconf,
+ autotools-dev (>= 20100122.1~),
+ libcurl4-gnutls-dev,
+ libexpat1-dev,
+ libgtk2.0-dev,
+ libglib2.0-dev (>= 2.12.0),
+ libgps-dev (>= 2.90), 
+ xsltproc,
+ docbook-xsl,
+ docbook-xml,
+ intltool,
+ quilt (>= 0.46-8),
+ bc,
+ gnome-doc-utils (>= 0.3.2),
+ rarian-compat | scrollkeeper,
+ libexif-dev,
+ dh-autoreconf,
+ libbz2-dev,
+ libmagic-dev,
+ gnome-common
 Standards-Version: 3.8.4
 Homepage: http://viking.sf.net
 Vcs-Git: git://git.debian.org/collab-maint/viking.git

## viking 1.6

=== debian/changelog ===
viking (1.6-1build1) xenial; urgency=medium

  * No-change rebuild for libgps transition.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Feb 2016 10:33:58 +0000

viking (1.6-1) unstable; urgency=medium

  * [11136d29] Imported Upstream version 1.6
  * [8cca0e43] Add new upstream dependency: libsqlite3-dev
  * [f1e62fef] Replace libexif by gexiv2
  * [cb0ad3e5] Update patch no_doc-dir
  * [d9a7723c] Remove patch set_subdir-objects as it is applied upstream
  * [a8fb82f2] Disable mapnik support
  * [73285b0f] Add patch to fix IT_PROG_INTLTOOL and AM_GNU_GETTEXT conflict
  * [2d0081c0] Update gbp.conf to new rules
  * [af25cd4b] Activate hardening options

 -- Guilhem Bonnefille <guilhem.bonnefille@gmail.com>  Sun, 30 Aug 2015 16:52:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Bernd Zeimetz <bzed@debian.org>
-Uploaders: Guilhem BONNEFILLE <guilhem.bonnefille@gmail.com>
+Uploaders: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>
 Build-Depends: debhelper (>= 7.2.14),
  automake (>= 1.13),
  autoconf,
@@ -20,11 +20,12 @@
  bc,
  gnome-doc-utils (>= 0.3.2),
  rarian-compat | scrollkeeper,
- libexif-dev,
+ libgexiv2-dev,
  dh-autoreconf,
  libbz2-dev,
  libmagic-dev,
- gnome-common
+ gnome-common,
+ libsqlite3-dev
 Standards-Version: 3.8.4
 Homepage: http://viking.sf.net
 Vcs-Git: git://git.debian.org/collab-maint/viking.git

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,6 @@
 	dh_auto_clean
 
 override_dh_auto_configure:
-	dh_auto_configure
+	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) --disable-mapnik
 
 .PHONY: override_dh_auto_test

## viking 1.6.2

=== debian/changelog ===
viking (1.6.2-3build1) bionic; urgency=medium

  * No-change rebuild against libgps23

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Nov 2017 19:05:55 +0000

viking (1.6.2-3) unstable; urgency=medium

  * [ab2b5a08] Fix build on hurd.
  * [279040da] Mapnik is missing on alpha, too.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 19 Nov 2016 00:15:50 +0100

viking (1.6.2-2) unstable; urgency=medium

  * [da432658] Restrict libmapnic-dev to arches where it is available.
  * [be004293] Bump to compat level 10.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 17 Nov 2016 22:16:09 +0100

viking (1.6.2-1) unstable; urgency=medium

  * [ecf9c6a2] Imported Upstream version 1.6
  * [2f959064] Imported Upstream version 1.6
  * [52a3e6e3] New upstream version 1.6.2
    Closes: #833578
  * [07801c5d] Disable unused patches.
  * [8ea20e90] Refreshing patches.
  * [e0914a3d] Snapshot changelog.
  * [8e9cf766] refresh no-doc patch
  * [ddc24542] add mapnik-dev as build-dep and build with it.
  * [fcc01d07] Have an extra intltoolize run.
  * [d6aadaf5] Also ensure that make doesn;t want to build doc.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 03 Oct 2016 01:18:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: viking
 Section: utils
 Priority: optional
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>
-Build-Depends: debhelper (>= 7.2.14),
+Build-Depends: debhelper (>= 9.20160402~),
  automake (>= 1.13),
  autoconf,
  autotools-dev (>= 20100122.1~),
@@ -25,7 +26,8 @@
  libbz2-dev,
  libmagic-dev,
  gnome-common,
- libsqlite3-dev
+ libsqlite3-dev,
+ libmapnik-dev [!mips !mips64el !mipsel !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !powerpcspe !sh4 !x32 !alpha],
 Standards-Version: 3.8.4
 Homepage: http://viking.sf.net
 Vcs-Git: git://git.debian.org/collab-maint/viking.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

EXTRAFLAGS := $(strip $(shell if ! dpkg -L libmapnik-dev 2>/dev/null | grep -q mapnik/map.hpp; then echo '--disable-mapnik'; fi))
%:
	dh $@ --with autotools_dev,autoreconf

override_dh_auto_test:
	# The test suite is buggy.
	-dh_auto_test

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_configure:
	intltoolize --force
	dh_auto_configure -- $(shell dpkg-buildflags --export=configure) $(EXTRAFLAGS)

.PHONY: override_dh_auto_test

## viking 1.7

=== debian/changelog ===
viking (1.7-2build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:21:07 +0000

viking (1.7-2) unstable; urgency=medium

  * [809f9c42] updating .gitlab-ci.yml
  * [97fdf04c] Support gps.h API 9.
    Thanks to Mattia Rizzolo (Closes: #948777)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 14 Jan 2020 22:48:25 +0100

viking (1.7-1) unstable; urgency=medium

  * [52e02dc1] New upstream version 1.7
  * [271f7f44] Refreshing patches.
  * [72021c78] Add .gitlab-ci.yml
  * [65f08de8] snapshot changelog
  * [daf9b299] Don't build doc files.
    (refreshed version of old patch)
  * [8ec9f18e] Add libgeoclue-2-dev as build-dep.
  * [9ee585c6] Add liboauth-dev as build-dep
  * [573f1f9a] Build-depend on nettle-dev.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 Feb 2019 18:33:20 +0100

viking (1.6.2-3.2) unstable; urgency=medium

  * Non-maintainer upload
  * [a5b7fcb2] Ignore test failures on Big Endian (Closes: #911845)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 27 Oct 2018 21:24:18 -0400

viking (1.6.2-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * [775f827c] Update Vcs fields for migration to https://salsa.debian.org/
  * [70271eaa] Bump debhelper compat to 11
  * [aa6eb0a0] Drop menu file since viking includes a .desktop file
  * [f6890f37] Drop Build-Depends on rarian (Closes: #885608)
  * [1fc7f65a] Add build-without-scrollkeeper.patch
  * [7b2dfdf7] Don't ignore build test failures

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Oct 2018 17:09:03 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

EXTRAFLAGS := $(strip $(shell if ! dpkg -L libmapnik-dev 2>/dev/null | grep -q mapnik/map.hpp; then echo '--disable-mapnik'; fi))

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf
	intltoolize --force

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

# Ignore tests on Big Endian since one test doesn't work there
# https://github.com/viking-gps/viking/issues/62
override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_auto_test
else
	-dh_auto_test
endif

## viking 1.8

=== debian/changelog ===
viking (1.8-4) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [c54d3af2] Removing myself from Maintainers.
  * [c96f4639] Removing Guilhem Bonnefille from Uploaders.

  [ Bas Couwenberg ]
  * [eb0d69f8] Add mapnik-3.1.patch to build with the new mapnik
    (Closes: #979588)

 -- Paul Gevers <elbrus@debian.org>  Fri, 08 Jan 2021 19:44:10 +0100

viking (1.8-3) unstable; urgency=medium

  * [ab621503] Add build-with-gcc-10.patch: src/babel.h
    (a_babel_file_list, a_babel_device_list): declare global variables as
    extern. Thanks to arnold metselaar (Closes: #957914)

 -- Paul Gevers <elbrus@debian.org>  Wed, 29 Jul 2020 07:06:21 +0200

viking (1.8-2) unstable; urgency=medium

  * [3b808857] Add fix_build_without_mapnik.patch to fix FTBFS on mips64el
    and mipsel

 -- Paul Gevers <elbrus@debian.org>  Sun, 05 Jul 2020 21:39:15 +0200

viking (1.8-1) unstable; urgency=medium

  * [cdac85cc] New upstream version 1.8 (Closes: #964031)
  * [5776455f] Update d/copyright for new upstream
  * [e1a10e06] Drop gps_api_9_support patch as upstream did something
    similar
  * [f8313c19] Add upstream patch to remove gnome-doc-utils usage
    (Closes: #947541)
  * [d82c217e] Add geocluelayer.xml_not_included.patch
  * [440206a9] Add myself as uploader
  * [695799aa] Add missing Build-Depends from upstreams list of
    requirements
  * [a2da0374] Update libmapnik-dev supported architectures
  * [c1b4a932] wrap-and-sort d/control
  * [53f8853d] Bump debhelper compat via debhelper-compat
  * [1190e2e6] Drop unused
    fix-IT_PROG_INTLTOOL-and-AM_GNU_GETTEXT-conflict.patch
  * [22d8a0db] Add Depends on yelp to show the help

 -- Paul Gevers <elbrus@debian.org>  Thu, 02 Jul 2020 17:30:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,50 @@
 Source: viking
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
-Uploaders: Guilhem Bonnefille <guilhem.bonnefille@gmail.com>
-Build-Depends: debhelper (>= 9.20160402~),
- automake (>= 1.13),
- autoconf,
- autotools-dev (>= 20100122.1~),
+Maintainer: Paul Gevers <elbrus@debian.org>
+Build-Depends:
+ bc,
+ debhelper-compat (= 13),
+ docbook-xml,
+ docbook-xsl,
+ gnome-common,
+ gtk-doc-tools,
+ intltool,
+ libbz2-dev,
  libcurl4-gnutls-dev,
  libexpat1-dev,
+ libgeoclue-2-dev,
+ libgexiv2-dev,
+ libglib2.0-dev (>= 2.12.0),
+ libgps-dev (>= 2.90),
+ libgtk-3-dev,
  libgtk2.0-dev,
- libglib2.0-dev (>= 2.12.0),
- libgps-dev (>= 2.90), 
+ libicu-dev,
+ libmagic-dev,
+ libmapnik-dev [!mips64el !mipsel !hurd-i386 !ia64 !kfreebsd-i386 !riscv64],
+ liboauth-dev,
+ libpng-dev,
+ libsqlite3-dev,
+ libzip-dev,
+ nettle-dev,
  xsltproc,
- docbook-xsl,
- docbook-xml,
- intltool,
- quilt (>= 0.46-8),
- bc,
- gnome-doc-utils (>= 0.3.2),
- rarian-compat | scrollkeeper,
- libgexiv2-dev,
- dh-autoreconf,
- libbz2-dev,
- libmagic-dev,
- gnome-common,
- libsqlite3-dev,
- libmapnik-dev [!mips !mips64el !mipsel !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !powerpcspe !sh4 !x32 !alpha],
+ yelp-tools,
 Standards-Version: 3.8.4
 Homepage: http://viking.sf.net
-Vcs-Git: git://git.debian.org/collab-maint/viking.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/viking.git
+Vcs-Git: https://salsa.debian.org/debian/viking.git
+Vcs-Browser: https://salsa.debian.org/debian/viking
 
 Package: viking
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gpsbabel
-Suggests: gpsd
-Recommends: expect-dev
+Depends:
+ gpsbabel,
+ yelp,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ gpsd,
+Recommends:
+ expect-dev,
 Description: GPS data editor, analyzer and viewer
  Viking aims to be easy to use, yet powerful in accomplishing a wide
  variety of GPS related tasks. It uses a hierarchical layering system

## viking 1.10

=== debian/changelog ===
viking (1.10-4build1) plucky; urgency=medium

  * Rebuild against latest libzip

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Nov 2024 08:55:58 -0500

viking (1.10-4) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval.

  [ Paul Gevers ]
  * [cf01c922] Add upstream patch to prevent a hang (Closes: #1069632).
  * [08591621] Drop no longer needed mapnik-3.1.patch

  [ Petter Reinholdtsen ]
  * [d4ad6fc3] Added AppStream metainfo XML with hardware provide info
    (Closes: #1078854).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 05 Sep 2024 06:52:29 +0200

viking (1.10-3) unstable; urgency=medium

  [ Paul Gevers ]
  * Migrate packaging to debputy
  * d/copyright: remove spurious line (Closes: #1056774)
  * d/control: lower yelp to Recommends (Closes: #1008848)

  [ Bas Couwenberg ]
  * Don't build with mapnik (Closes: #1069105)

 -- Paul Gevers <elbrus@debian.org>  Thu, 18 Apr 2024 13:10:36 +0200

viking (1.10-2) unstable; urgency=medium

  * [4da497ec] prevent rounding issue in test on i386

 -- Paul Gevers <elbrus@debian.org>  Sun, 02 Jan 2022 08:05:40 +0100

viking (1.10-1) unstable; urgency=medium

  * [1594f6e1] New upstream version 1.10
  * [372de347] refresh patches and drop obsolete ones
  * [b459e5a5] d/copyright: update for new files
  * [2aeaf34a] d/control: add Build-Depends on libjson-glib-dev
  * [84fb5be1] Moved to gtk3 by default, drop Build-Depends on
    libgtk2.0-dev (Closes: #967797)
  * [4c39c52e] d/control: build against libmapnik-dev on all architectures
    where it currently builds (Closes: #980083)
  * [8380b587] d/rules: run tests again on big endian systems; upstream
    disabled the offending tests themselves
  * [c186523c] Add link from /u/s/doc/HTML/en/viking to /u/s/help/C/viking
    to enable Help to work on KDE (Closes: #955255)

 -- Paul Gevers <elbrus@debian.org>  Thu, 30 Dec 2021 20:55:58 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf
	intltoolize --force

override_dh_auto_configure:
	dh_auto_configure -- --disable-mapnik

=== debian/watch ===
version=3

opts="uversionmangle=s/-/+/" \
http://sf.net/viking/viking-([0-9].*)\.tar\.(?:gz|bz2)

## viking 1.10%2Bgit20250612.b98e55e

=== debian/changelog ===
viking (1.10+git20250612.b98e55e-3) resolute; urgency=medium

  * No-change rebuild for libmapnik4.1.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 13:16:39 +0000

viking (1.10+git20250612.b98e55e-2) unstable; urgency=medium

  * Drop gnome-common from Build-Depends, it's no longer used (Closes: #830046)
  * Refresh B-D
  * Drop no-doc-dir, it seems we can build without the patch

 -- Paul Gevers <elbrus@debian.org>  Thu, 02 Oct 2025 12:33:07 +0200

viking (1.10+git20250612.b98e55e-1) unstable; urgency=medium

  * Switch to follow upstream git instead of their ancient release
    Thanks to Vincent Lefevre I noticed. Closes: #1098065
  * Change maintainer address to package address to be inviting to
    co-maintainers
  * Update or drop patches that don't apply cleanly
  * Update Build-Depends for new upstream

 -- Paul Gevers <elbrus@debian.org>  Tue, 30 Sep 2025 21:45:34 +0200

## viking 1.10+git20250612.b98e55e

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: viking
 Section: utils
 Priority: optional
-Maintainer: Paul Gevers <elbrus@debian.org>
+Maintainer: be my guest <viking@packages.debian.org>
+Uploader:: Paul Gevers <elbrus@debian.org>
 Build-Depends:
+ autopoint,
  bc,
  debhelper-compat (= 13),
- docbook-xml,
+ dh-sequence-zz-debputy,
  docbook-xsl,
- gnome-common,
  gtk-doc-tools,
  intltool,
  libbz2-dev,
@@ -15,22 +16,24 @@
  libexpat1-dev,
  libgeoclue-2-dev,
  libgexiv2-dev,
- libglib2.0-dev (>= 2.12.0),
- libgps-dev (>= 2.90),
+ libglib2.0-dev-bin,
+ libgps-dev,
  libgtk-3-dev,
- libgtk2.0-dev,
  libicu-dev,
+ libjson-glib-dev,
  libmagic-dev,
- libmapnik-dev [!mips64el !mipsel !hurd-i386 !ia64 !kfreebsd-i386 !riscv64],
+ libmapnik-dev,
+ libnova-dev,
  liboauth-dev,
  libpng-dev,
  libsqlite3-dev,
  libzip-dev,
  nettle-dev,
  xsltproc,
+ xxd,
  yelp-tools,
 Standards-Version: 3.8.4
-Homepage: http://viking.sf.net
+Homepage: https://viking.sf.net
 Vcs-Git: https://salsa.debian.org/debian/viking.git
 Vcs-Browser: https://salsa.debian.org/debian/viking
 
@@ -38,11 +41,11 @@
 Architecture: any
 Depends:
  gpsbabel,
- yelp,
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
  gpsd,
+ yelp,
 Recommends:
  expect-dev,
 Description: GPS data editor, analyzer and viewer

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf
	intltoolize --force

=== debian/watch ===
Version: 5

Source: https://github.com/viking-gps/viking.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.10+git%cd.%h

## viking 1.11

=== debian/changelog ===
viking (1.11-1) unstable; urgency=medium

  * New upstream release
    - Updated URLs for openstreetmap (Closes: #1116465)
  * Fix uploader field (Closes: #1121468)

 -- Paul Gevers <elbrus@debian.org>  Thu, 29 Jan 2026 14:07:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: be my guest <viking@packages.debian.org>
-Uploader:: Paul Gevers <elbrus@debian.org>
+Uploaders: Paul Gevers <elbrus@debian.org>
 Build-Depends:
  autopoint,
  bc,

=== debian/watch ===
Version: 5

Source: https://github.com/viking-gps/viking.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.11+git%cd.%h
